Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.interfaces
Interface PBEKey

All Superinterfaces:
  java.security.Key, SecretKey, java.io.Serializable

public interface PBEKey
extends SecretKey

An interface to a key used in password-based encryption (PBE). Typically, keys that are known to be derived from passwords can be cast to instances of a `PBEKey`.

Since:
  1.4
See Also:
  `SecretKey`, `PBEKeySpec`

Field Summary

Fields inherited from interface java.security.Key
`serialVersionUID`

Method Summary
`int` | `getIterationCount()` Returns the iteration count, or 0 if not specified.
`char[]` | `getPassword()` Returns the password.
`byte[]` | `getSalt()` Returns the salt or null if not specified.

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Method Detail

### getIterationCount

    public int getIterationCount()

  Returns the iteration count, or 0 if not specified.

  Returns:
    the iteration count.

### getPassword

    public char[] getPassword()

  Returns the password.

  Note: this method should return a copy of the password. It is the caller's responsibility to zero out the password information after it is no longer needed.

  Returns:
    the password.

### getSalt

    public byte[] getSalt()

  Returns the salt or null if not specified.

  Note: this method should return a copy of the salt. It is the caller's responsibility to zero out the salt information after it is no longer needed.

  Returns:
    the salt.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.